const UNDEFINED_OPTION = '';

const TriState = 
{
    False: 0,
    True: 1,
    Indeterminate: 2
};

function checkUniqueBoolean(oldValue, newValue)
{
    var result = (oldValue == null ? newValue : (oldValue == newValue ? newValue : TriState.Indeterminate));
    return result;
}

function checkUniqueString(oldValue, newValue)
{
    var result = (oldValue == null ? newValue : (oldValue == newValue ? newValue : ''));
    return result;
}

function doubleDigitString(number)
{
    return new String(number < 10 ? ('0' + number) : number);
}

function convertUTCDateToDatepickerFormat(date)
{
    var date = new Date(date);
    var day = doubleDigitString(date.getDate());
    var month = doubleDigitString(date.getMonth() + 1); // months are zero-based, so we have to increment by one.
    var year = date.getFullYear();
    return `${day}.${month}.${year}`;
}

function convertDatepickerFormatToUTCDate(value, time)
{
    var date = new Date();
    var splitValue = value.split('.');
    if(splitValue.length == 3)
    {
        var day = splitValue[0];
        var month = splitValue[1];
        var year = splitValue[2];
        date = new Date(`${year}-${month}-${day}${time}`);
    }
    else
    {
        alert("ERROR: Invalid date picker value format.");
    }
    return date;
}